| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11Driver Class Reference

`#include <OgreD3D11Driver.h>`

## Public Member Functions
| D3D11Driver ()
| D3D11Driver (const D3D11Driver &ob)
| D3D11Driver (IDXGIAdapterN *pDXGIAdapter)
| ~D3D11Driver ()
String | DriverDescription () const
const DXGI_ADAPTER_DESC1 & | getAdapterIdentifier () const
IDXGIAdapterN * | getDeviceAdapter () const
D3D11VideoModeList * | getVideoModeList ()

## Constructor & Destructor Documentation

## ◆ D3D11Driver() [1/3]

Ogre::D3D11Driver::D3D11Driver | ( |  | ) |

## ◆ D3D11Driver() [2/3]

Ogre::D3D11Driver::D3D11Driver | ( | const D3D11Driver & | ob | ) |

## ◆ D3D11Driver() [3/3]

Ogre::D3D11Driver::D3D11Driver | ( | IDXGIAdapterN * | pDXGIAdapter | ) |

## ◆ ~D3D11Driver()

Ogre::D3D11Driver::~D3D11Driver | ( |  | ) |

## Member Function Documentation

## ◆ DriverDescription()

String Ogre::D3D11Driver::DriverDescription | ( |  | ) | const

## ◆ getAdapterIdentifier()

const DXGI_ADAPTER_DESC1& Ogre::D3D11Driver::getAdapterIdentifier | ( |  | ) | const

## ◆ getDeviceAdapter()

IDXGIAdapterN* Ogre::D3D11Driver::getDeviceAdapter | ( |  | ) | const

## ◆ getVideoModeList()

D3D11VideoModeList* Ogre::D3D11Driver::getVideoModeList | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreD3D11Driver.h